#include "ChallengeObjectiveViewData.h"


FChallengeObjectiveViewData::FChallengeObjectiveViewData()
{
	this->ObjectiveId = TEXT("");
	this->ObjectiveInfoText = TEXT("");
	this->IncrementWithEventRepetitions = false;
	this->ProgressionType = EQuestProgressionType::None;
	this->NeededProgression = TArray<int32>();
	this->Conditions = TArray<FQuestConditionViewData>();
	this->QuestEvent = TArray<FQuestEventViewData>();
	this->SpecialBehaviours = TArray<FQuestSpecialBehaviourViewData>();
	this->IsCommunityObjective = false;
	this->MaxProgressionPerPlayer = 0;
	this->CommunityRoleType = EPlayerRole::VE_None;
}
